# Bitly

open class Bitly(source)

Provides access to the Bitly API v4.

## Constructors

Bitly
Link copied to clipboard
constructor(accessToken: String)

Creates a new instance using an API Access Token.

@JvmOverloads
constructor(properties: Properties, key: String = Constants.ENV_ACCESS_TOKEN)

Creates a new instance using a properties and property key.

@JvmOverloads
constructor(propertiesFilePath: Path, key: String = Constants.ENV_ACCESS_TOKEN)

Creates a new instance using a properties file path and property key.

@JvmOverloads
constructor(propertiesFile: File, key: String = Constants.ENV_ACCESS_TOKEN)

Creates a new instance using a properties file and property key.

constructor()

Creates new instance.

## Properties

accessToken
Link copied to clipboard
var accessToken: String

The API access token.

## Functions

bitlinks
Link copied to clipboard
fun bitlinks(): Bitlinks

Returns a new Bitlinks instance.

call
Link copied to clipboard
@JvmOverloads
fun call(endPoint: String, params: Map<String, Any> = emptyMap(), method: Methods = Methods.POST): CallResponse

Executes an API call.